Update Dataset
curl --request PATCH \
--url https://api.example.com/datasets/{dataset_id}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"starred": true,
"is_private_for_member": true,
"import_config": {
"output_dataset": "<string>",
"job_type": "integration",
"connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"integration_config": {},
"credential_secret": "<string>",
"input_dataset": "<string>"
}
}
'import requests
url = "https://api.example.com/datasets/{dataset_id}/"
payload = {
"name": "<string>",
"description": "<string>",
"starred": True,
"is_private_for_member": True,
"import_config": {
"output_dataset": "<string>",
"job_type": "integration",
"connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"integration_config": {},
"credential_secret": "<string>",
"input_dataset": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
starred: true,
is_private_for_member: true,
import_config: {
output_dataset: '<string>',
job_type: 'integration',
connection_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
integration_config: {},
credential_secret: '<string>',
input_dataset: '<string>'
}
})
};
fetch('https://api.example.com/datasets/{dataset_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/datasets/{dataset_id}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'description' => '<string>',
'starred' => true,
'is_private_for_member' => true,
'import_config' => [
'output_dataset' => '<string>',
'job_type' => 'integration',
'connection_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'integration_config' => [
],
'credential_secret' => '<string>',
'input_dataset' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/datasets/{dataset_id}/"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"starred\": true,\n \"is_private_for_member\": true,\n \"import_config\": {\n \"output_dataset\": \"<string>\",\n \"job_type\": \"integration\",\n \"connection_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"integration_config\": {},\n \"credential_secret\": \"<string>\",\n \"input_dataset\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.example.com/datasets/{dataset_id}/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"starred\": true,\n \"is_private_for_member\": true,\n \"import_config\": {\n \"output_dataset\": \"<string>\",\n \"job_type\": \"integration\",\n \"connection_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"integration_config\": {},\n \"credential_secret\": \"<string>\",\n \"input_dataset\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/datasets/{dataset_id}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"starred\": true,\n \"is_private_for_member\": true,\n \"import_config\": {\n \"output_dataset\": \"<string>\",\n \"job_type\": \"integration\",\n \"connection_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"integration_config\": {},\n \"credential_secret\": \"<string>\",\n \"input_dataset\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"detailed_description": "<string>",
"organisation_id": "<string>",
"status": "<string>",
"starred": true,
"is_primary": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"is_embedding_searchable": true,
"dataset_card": "<string>",
"dictionary": {},
"private_for_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dataset_schema": {
"column_schemas": {}
},
"columns": [
"<string>"
],
"column_count": 123,
"annotations": {},
"warehousing_error": "<string>",
"cron_schedule": "<string>",
"schedule_enabled": true,
"last_schedule_run_at": "2023-11-07T05:31:56Z",
"import_config": {},
"is_importing": true,
"is_profiling": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}datasets
Update Dataset
PATCH
/
datasets
/
{dataset_id}
/
Update Dataset
curl --request PATCH \
--url https://api.example.com/datasets/{dataset_id}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"starred": true,
"is_private_for_member": true,
"import_config": {
"output_dataset": "<string>",
"job_type": "integration",
"connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"integration_config": {},
"credential_secret": "<string>",
"input_dataset": "<string>"
}
}
'import requests
url = "https://api.example.com/datasets/{dataset_id}/"
payload = {
"name": "<string>",
"description": "<string>",
"starred": True,
"is_private_for_member": True,
"import_config": {
"output_dataset": "<string>",
"job_type": "integration",
"connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"integration_config": {},
"credential_secret": "<string>",
"input_dataset": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
starred: true,
is_private_for_member: true,
import_config: {
output_dataset: '<string>',
job_type: 'integration',
connection_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
integration_config: {},
credential_secret: '<string>',
input_dataset: '<string>'
}
})
};
fetch('https://api.example.com/datasets/{dataset_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/datasets/{dataset_id}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'description' => '<string>',
'starred' => true,
'is_private_for_member' => true,
'import_config' => [
'output_dataset' => '<string>',
'job_type' => 'integration',
'connection_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'integration_config' => [
],
'credential_secret' => '<string>',
'input_dataset' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/datasets/{dataset_id}/"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"starred\": true,\n \"is_private_for_member\": true,\n \"import_config\": {\n \"output_dataset\": \"<string>\",\n \"job_type\": \"integration\",\n \"connection_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"integration_config\": {},\n \"credential_secret\": \"<string>\",\n \"input_dataset\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.example.com/datasets/{dataset_id}/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"starred\": true,\n \"is_private_for_member\": true,\n \"import_config\": {\n \"output_dataset\": \"<string>\",\n \"job_type\": \"integration\",\n \"connection_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"integration_config\": {},\n \"credential_secret\": \"<string>\",\n \"input_dataset\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/datasets/{dataset_id}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"starred\": true,\n \"is_private_for_member\": true,\n \"import_config\": {\n \"output_dataset\": \"<string>\",\n \"job_type\": \"integration\",\n \"connection_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"integration_config\": {},\n \"credential_secret\": \"<string>\",\n \"input_dataset\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"detailed_description": "<string>",
"organisation_id": "<string>",
"status": "<string>",
"starred": true,
"is_primary": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"is_embedding_searchable": true,
"dataset_card": "<string>",
"dictionary": {},
"private_for_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dataset_schema": {
"column_schemas": {}
},
"columns": [
"<string>"
],
"column_count": 123,
"annotations": {},
"warehousing_error": "<string>",
"cron_schedule": "<string>",
"schedule_enabled": true,
"last_schedule_run_at": "2023-11-07T05:31:56Z",
"import_config": {},
"is_importing": true,
"is_profiling": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Body
application/json
Legacy external-source integration job.
Do not use this job type for new imports. New external-source ingestion
should use CustomIntegrationConfig (job_type: custom-integration) so
the agent can handle arbitrary APIs, databases, files, spreadsheets, cloud
storage, and source-specific logic with custom Python code.
Show child attributes
Show child attributes
Response
Successful Response
KeyDatasetMetadata with sensitive annotation keys stripped, for public (frontend-facing) API responses.
Show child attributes
Show child attributes